package com.ruoyi.ss.access.mapper;

import com.ruoyi.ss.access.domain.Access;
import com.ruoyi.ss.access.domain.AccessQuery;
import com.ruoyi.ss.access.domain.AccessVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 第三方API秘钥对Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-17
 */
public interface AccessMapper
{
    /**
     * 查询第三方API秘钥对
     *
     * @param accessId 第三方API秘钥对主键
     * @return 第三方API秘钥对
     */
    public AccessVO selectAccessByAccessId(Long accessId);

    /**
     * 查询第三方API秘钥对列表
     *
     * @param access 第三方API秘钥对
     * @return 第三方API秘钥对集合
     */
    public List<AccessVO> selectAccessList(AccessQuery access);

    /**
     * 新增第三方API秘钥对
     *
     * @param access 第三方API秘钥对
     * @return 结果
     */
    public int insertAccess(Access access);

    /**
     * 修改第三方API秘钥对
     *
     * @param access 第三方API秘钥对
     * @return 结果
     */
    public int updateAccess(Access access);

    /**
     * 删除第三方API秘钥对
     *
     * @param accessId 第三方API秘钥对主键
     * @return 结果
     */
    public int deleteAccessByAccessId(Long accessId);

    /**
     * 批量删除第三方API秘钥对
     *
     * @param accessIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAccessByAccessIds(@Param("ids") List<Long> accessIds);

    /**
     * 根据用户ID查询数量
     */
    int selectCountByUserId(Long userId);

    /**
     * 根据accessKey查询密钥对
     */
    AccessVO selectByAccessKey(String accessKey);
}
